### File

`packages/eui/packages/components-next/src/lib/input.directive.ts`

### Implements

`OnInit` `OnDestroy` `OnChanges`

### Metadata

Selector | `input[euiInput]`

### Index

###### Inputs
disabled id placeholder readonly
###### Accessors
disabled readonly placeholder id

### Constructor

`constructor(_elementRef: ElementRef, _renderer: Renderer2, control: NgControl)`
Parameters :
Name | Type | Optional
_elementRef | `ElementRef` | No
_renderer | `Renderer2` | No
control | `NgControl` | No

### Inputs

disabled

id
Type : `string`

placeholder
Type : `string | null`

readonly

### Accessors

disabled
set `disabled(state: any)`
Parameters :
Name | Type | Optional
state | `any` | No
Returns : `void`

readonly
set `readonly(state: any)`
Parameters :
Name | Type | Optional
state | `any` | No
Returns : `void`

placeholder
set `placeholder(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

id
set `id(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""